NX Open C++ Reference Guide
|
Represents a CAE::WeldBuilder
To create a new instance of this class, use CAE::MeshManager::CreateWeldBuilder
Created in NX7.5.2.
More...
Public Types | |
enum | NumberOfPointsOnEdgeType { NumberOfPointsOnEdgeTypeMaximumNumber, NumberOfPointsOnEdgeTypeSpecifiedNumber } |
Represents the options for specifying maximum number of weld points on an edge. More... | |
enum | PointOnEdgeType { PointOnEdgeTypeByNumber, PointOnEdgeTypeByDistance, PointOnEdgeTypeByPattern } |
Represents the options for specifying number of weld points on an edge. More... | |
enum | WeldLocation { WeldLocationPoint, WeldLocationFile, WeldLocationEdge, WeldLocationNode } |
Represents the options for type of operation. More... | |
Public Member Functions | |
NXOpen::Expression * | DistanceBetween () |
Returns the distance between the points on the edge(s) used to specify the location of the weld Created in NX7.5.2. | |
NXOpen::SelectTaggedObjectList * | EdgeSelection () |
Returns the edge(s) used to specify the location of the weld Created in NX7.5.2. | |
NXOpen::CAE::ElementTypeBuilder * | ElementType () |
Returns the element type to be created for the weld Created in NX7.5.2. | |
NXOpen::Expression * | EndOffset () |
Returns the distance of the last point from the end of the edge(s) Created in NX7.5.4. | |
int | FlipState () |
Returns the flip state of the selected edge(s) Created in NX7.5.4. | |
NXString | InputFile () |
Returns the name of the input file used to specify locations for the weld Created in NX7.5.2. | |
NXOpen::CAE::WeldBuilder::WeldLocation | Location () |
Returns the location of the specified weld Created in NX7.5.2. | |
NXOpen::CAE::SelectFENodeList * | NodeSelection () |
Returns the node(s) used to specify the location of the weld Created in NX7.5.2. | |
int | NumberOfPointsOnEdge () |
Returns the number of points on the edge(s) used to specify the location of the weld Created in NX7.5.2. | |
NXOpen::CAE::WeldBuilder::NumberOfPointsOnEdgeType | NumberOfPointsOption () |
Returns the option to specify the maximum number of points on the edge(s) used to specify the location of the weld Created in NX7.5.4. | |
NXOpen::Expression * | OffsetDistance () |
Returns the distance to offset the points from the edge(s) Created in NX7.5.4. | |
NXOpen::Direction * | OffsetVector () |
Returns the vector along which to offset the points Created in NX7.5.4. | |
NXString | Pattern () |
Returns the pattern used to specify locations on the edge(s) Created in NX7.5.4. | |
NXOpen::CAE::WeldBuilder::PointOnEdgeType | PointOnEdgeOption () |
Returns the location of the points on the edge Created in NX7.5.2. | |
NXOpen::SelectTaggedObjectList * | PointsSelection () |
Returns the point(s) used to specify the location of the weld Created in NX7.5.2. | |
NXOpen::Expression * | SearchDistance () |
Returns the distance within which to search for PIDs Created in NX7.5.2. | |
void | SetFlipState (int flipState) |
Sets the flip state of the selected edge(s) Created in NX7.5.4. | |
void | SetInputFile (const NXString &inputFile) |
Sets the name of the input file used to specify locations for the weld Created in NX7.5.2. | |
void | SetInputFile (const char *inputFile) |
Sets the name of the input file used to specify locations for the weld Created in NX7.5.2. | |
void | SetLocation (NXOpen::CAE::WeldBuilder::WeldLocation location) |
Sets the location of the specified weld Created in NX7.5.2. | |
void | SetNumberOfPointsOnEdge (int numberOfPoints) |
Sets the number of points on the edge(s) used to specify the location of the weld Created in NX7.5.2. | |
void | SetNumberOfPointsOption (NXOpen::CAE::WeldBuilder::NumberOfPointsOnEdgeType pointOnEdgeOption) |
Sets the option to specify the maximum number of points on the edge(s) used to specify the location of the weld Created in NX7.5.4. | |
void | SetOffsetVector (NXOpen::Direction *offsetVector) |
Sets the vector along which to offset the points Created in NX7.5.4. | |
void | SetPattern (const NXString &pattern) |
Sets the pattern used to specify locations on the edge(s) Created in NX7.5.4. | |
void | SetPattern (const char *pattern) |
Sets the pattern used to specify locations on the edge(s) Created in NX7.5.4. | |
void | SetPointOnEdgeOption (NXOpen::CAE::WeldBuilder::PointOnEdgeType pointOnEdgeOption) |
Sets the location of the points on the edge Created in NX7.5.2. | |
void | SetSpecifiedNumberOfPoints (int specifiedNumberOfPoints) |
Sets the maximum number of points on the edge(s) used to specify the location of the weld Created in NX7.5.4. | |
void | SetSupportAllPids (bool isSupportAllPids) |
Sets the option to include all PIDs within the search distance for creating welds Created in NX7.5.2. | |
int | SpecifiedNumberOfPoints () |
Returns the maximum number of points on the edge(s) used to specify the location of the weld Created in NX7.5.4. | |
NXOpen::Expression * | StartOffset () |
Returns the distance of the first point from the beginning of the edge(s) Created in NX7.5.4. | |
bool | SupportAllPids () |
Returns the option to include all PIDs within the search distance for creating welds Created in NX7.5.2. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a CAE::WeldBuilder
To create a new instance of this class, use CAE::MeshManager::CreateWeldBuilder
Created in NX7.5.2.
Represents the options for specifying number of weld points on an edge.
Represents the options for type of operation.
NXOpen::Expression* NXOpen::CAE::WeldBuilder::DistanceBetween | ( | ) |
Returns the distance between the points on the edge(s) used to specify the location of the weld
Created in NX7.5.2.
License requirements : None
NXOpen::SelectTaggedObjectList* NXOpen::CAE::WeldBuilder::EdgeSelection | ( | ) |
Returns the edge(s) used to specify the location of the weld
Created in NX7.5.2.
License requirements : None
NXOpen::CAE::ElementTypeBuilder* NXOpen::CAE::WeldBuilder::ElementType | ( | ) |
Returns the element type to be created for the weld
Created in NX7.5.2.
License requirements : None
NXOpen::Expression* NXOpen::CAE::WeldBuilder::EndOffset | ( | ) |
Returns the distance of the last point from the end of the edge(s)
Created in NX7.5.4.
License requirements : None
int NXOpen::CAE::WeldBuilder::FlipState | ( | ) |
Returns the flip state of the selected edge(s)
Created in NX7.5.4.
License requirements : nx_masterfem ("Finite Element Modeling")
NXString NXOpen::CAE::WeldBuilder::InputFile | ( | ) |
Returns the name of the input file used to specify locations for the weld
Created in NX7.5.2.
License requirements : None
NXOpen::CAE::WeldBuilder::WeldLocation NXOpen::CAE::WeldBuilder::Location | ( | ) |
Returns the location of the specified weld
Created in NX7.5.2.
License requirements : None
NXOpen::CAE::SelectFENodeList* NXOpen::CAE::WeldBuilder::NodeSelection | ( | ) |
Returns the node(s) used to specify the location of the weld
Created in NX7.5.2.
License requirements : None
int NXOpen::CAE::WeldBuilder::NumberOfPointsOnEdge | ( | ) |
Returns the number of points on the edge(s) used to specify the location of the weld
Created in NX7.5.2.
License requirements : None
NXOpen::CAE::WeldBuilder::NumberOfPointsOnEdgeType NXOpen::CAE::WeldBuilder::NumberOfPointsOption | ( | ) |
Returns the option to specify the maximum number of points on the edge(s) used to specify the location of the weld
Created in NX7.5.4.
License requirements : None
NXOpen::Expression* NXOpen::CAE::WeldBuilder::OffsetDistance | ( | ) |
Returns the distance to offset the points from the edge(s)
Created in NX7.5.4.
License requirements : None
NXOpen::Direction* NXOpen::CAE::WeldBuilder::OffsetVector | ( | ) |
Returns the vector along which to offset the points
Created in NX7.5.4.
License requirements : None
NXString NXOpen::CAE::WeldBuilder::Pattern | ( | ) |
Returns the pattern used to specify locations on the edge(s)
Created in NX7.5.4.
License requirements : None
NXOpen::CAE::WeldBuilder::PointOnEdgeType NXOpen::CAE::WeldBuilder::PointOnEdgeOption | ( | ) |
Returns the location of the points on the edge
Created in NX7.5.2.
License requirements : None
NXOpen::SelectTaggedObjectList* NXOpen::CAE::WeldBuilder::PointsSelection | ( | ) |
Returns the point(s) used to specify the location of the weld
Created in NX7.5.2.
License requirements : None
NXOpen::Expression* NXOpen::CAE::WeldBuilder::SearchDistance | ( | ) |
Returns the distance within which to search for PIDs
Created in NX7.5.2.
License requirements : None
void NXOpen::CAE::WeldBuilder::SetFlipState | ( | int | flipState | ) |
Sets the flip state of the selected edge(s)
Created in NX7.5.4.
License requirements : nx_masterfem ("Finite Element Modeling")
flipState | flipstate |
void NXOpen::CAE::WeldBuilder::SetInputFile | ( | const NXString & | inputFile | ) |
Sets the name of the input file used to specify locations for the weld
Created in NX7.5.2.
License requirements : nx_masterfem ("Finite Element Modeling")
inputFile | inputfile |
void NXOpen::CAE::WeldBuilder::SetInputFile | ( | const char * | inputFile | ) |
Sets the name of the input file used to specify locations for the weld
Created in NX7.5.2.
License requirements : nx_masterfem ("Finite Element Modeling")
inputFile | inputfile |
void NXOpen::CAE::WeldBuilder::SetLocation | ( | NXOpen::CAE::WeldBuilder::WeldLocation | location | ) |
Sets the location of the specified weld
Created in NX7.5.2.
License requirements : nx_masterfem ("Finite Element Modeling")
location | location |
void NXOpen::CAE::WeldBuilder::SetNumberOfPointsOnEdge | ( | int | numberOfPoints | ) |
Sets the number of points on the edge(s) used to specify the location of the weld
Created in NX7.5.2.
License requirements : nx_masterfem ("Finite Element Modeling")
numberOfPoints | numberofpoints |
void NXOpen::CAE::WeldBuilder::SetNumberOfPointsOption | ( | NXOpen::CAE::WeldBuilder::NumberOfPointsOnEdgeType | pointOnEdgeOption | ) |
Sets the option to specify the maximum number of points on the edge(s) used to specify the location of the weld
Created in NX7.5.4.
License requirements : nx_masterfem ("Finite Element Modeling")
pointOnEdgeOption | pointonedgeoption |
void NXOpen::CAE::WeldBuilder::SetOffsetVector | ( | NXOpen::Direction * | offsetVector | ) |
Sets the vector along which to offset the points
Created in NX7.5.4.
License requirements : nx_masterfem ("Finite Element Modeling")
offsetVector | offsetvector |
void NXOpen::CAE::WeldBuilder::SetPattern | ( | const NXString & | pattern | ) |
Sets the pattern used to specify locations on the edge(s)
Created in NX7.5.4.
License requirements : nx_masterfem ("Finite Element Modeling")
pattern | pattern |
void NXOpen::CAE::WeldBuilder::SetPattern | ( | const char * | pattern | ) |
Sets the pattern used to specify locations on the edge(s)
Created in NX7.5.4.
License requirements : nx_masterfem ("Finite Element Modeling")
pattern | pattern |
void NXOpen::CAE::WeldBuilder::SetPointOnEdgeOption | ( | NXOpen::CAE::WeldBuilder::PointOnEdgeType | pointOnEdgeOption | ) |
Sets the location of the points on the edge
Created in NX7.5.2.
License requirements : nx_masterfem ("Finite Element Modeling")
pointOnEdgeOption | pointonedgeoption |
void NXOpen::CAE::WeldBuilder::SetSpecifiedNumberOfPoints | ( | int | specifiedNumberOfPoints | ) |
Sets the maximum number of points on the edge(s) used to specify the location of the weld
Created in NX7.5.4.
License requirements : nx_masterfem ("Finite Element Modeling")
specifiedNumberOfPoints | specifiednumberofpoints |
void NXOpen::CAE::WeldBuilder::SetSupportAllPids | ( | bool | isSupportAllPids | ) |
Sets the option to include all PIDs within the search distance for creating welds
Created in NX7.5.2.
License requirements : nx_masterfem ("Finite Element Modeling")
isSupportAllPids | issupportallpids |
int NXOpen::CAE::WeldBuilder::SpecifiedNumberOfPoints | ( | ) |
Returns the maximum number of points on the edge(s) used to specify the location of the weld
Created in NX7.5.4.
License requirements : None
NXOpen::Expression* NXOpen::CAE::WeldBuilder::StartOffset | ( | ) |
Returns the distance of the first point from the beginning of the edge(s)
Created in NX7.5.4.
License requirements : None
bool NXOpen::CAE::WeldBuilder::SupportAllPids | ( | ) |
Returns the option to include all PIDs within the search distance for creating welds
Created in NX7.5.2.
License requirements : None